Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/40795/?format=api
{ "ob_id": 40795, "uuid": "0810c3abbaac4f09874d63982e1247b2", "title": "POLCOMS model run in the Northwest European continental shelf generating current data and sea surface elevation for 10 years from 1999.", "abstract": "The dataset consists of depth-averaged eastward and northward current velocities, sea surface heights above mean tidal level, and eastward and northward current induced stresses at the seabed. The dataset is a gridded dataset, with grid resolution of 1/9th x 1/6th degree, i.e. approximately 12 km. It covers the Northwest European continental shelf ranging from 48 to 63 degrees latitude and -12 to 13 degrees longitude. The data are 30 minute averages and cover the period from 01 January 1999 to 31 December 2008. The dataset was generated by the Proudman Oceanographic Laboratory Coastal Ocean Modelling System (POLCOMS) numerical model run by the National Oceanography Centre (NOC) Liverpool. It was funded by the Aggregate Levy Sustainability Fund (ALSF) under contract MEPF 09-P114 and Natural Environment Research Council (NERC) National Capability (NC) funding. The dataset consists of 120 data files in Climate and Forecast (CF) compliant NetCDF format.", "keywords": "", "publicationState": "citable", "dataPublishedTime": "2023-09-18T15:36:05", "doiPublishedTime": "2023-09-18T15:36:05", "updateFrequency": "", "status": "final", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/40794/?format=api", "dataPath": "/bodc/POL150147/POLCOMS_HIGH_FREQUENCY_UV", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 142030898408, "numberOfFiles": 122, "fileFormat": "Climate and Forecast compliant NetCDFs" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11332/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3980/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75643/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75649/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75650/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75651/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75652/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75653/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75654/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75655/?format=api" ], "dataLineage": "The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12700/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198432/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198430/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198429/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198428/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198434/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198435/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198436/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198433/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198431/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198437/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198439/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2569/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://www.bodc.ac.uk/data/documents/nodb/599476/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }